CREATE OR REPLACE PACKAGE PMO_ARRAYS AS

TYPE NUMBER_M20 IS VARRAY(20) OF NUMBER;
NUMBER_M20_Zeros NUMBER_M20 := NEW NUMBER_M20(  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
PROCEDURE SetValues(aDest IN OUT NOCOPY NUMBER_M20, aValue NUMBER, nCount PLS_INTEGER);
PROCEDURE CopyValues(aDest IN OUT NOCOPY NUMBER_M20, aSource NUMBER_M20, nCount PLS_INTEGER);

TYPE NUMBER_M12 IS VARRAY(12) OF NUMBER;
NUMBER_M12_Zeros NUMBER_M12 := NEW NUMBER_M12(  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
PROCEDURE SetValues(aDest IN OUT NOCOPY NUMBER_M12, aValue NUMBER, nCount PLS_INTEGER);
PROCEDURE CopyValues(aDest IN OUT NOCOPY NUMBER_M12, aSource NUMBER_M12, nCount PLS_INTEGER);

TYPE PLS_INTEGER_M7 IS VARRAY(7) OF PLS_INTEGER;
PLS_INTEGER_M7_Zeros PLS_INTEGER_M7 := NEW PLS_INTEGER_M7(  0, 0, 0, 0, 0, 0, 0);
PROCEDURE SetValues(aDest IN OUT NOCOPY PLS_INTEGER_M7, aValue PLS_INTEGER, nCount PLS_INTEGER);
PROCEDURE CopyValues(aDest IN OUT NOCOPY PLS_INTEGER_M7, aSource PLS_INTEGER_M7, nCount PLS_INTEGER);

END;
/


