-- **************************************************************************
-- PURPOSE:Migrate from 6.0 to 6.1
-- **************************************************************************

connect owner/ownerpass
set echo on
SET AUTOCOMMIT ON
spool logs/step4.log

ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD';

ALTER SESSION SET NLS_TIMESTAMP_FORMAT ='YYYY-MM-DD HH24:MI:SS.FF6';
COMMIT WORK;

DROP TABLE OLD_TMT_CHARGECODES;
DROP TABLE OLD_TASK_ASSIGNMENTS;
DROP TABLE BUDGETS1;
DROP TABLE TMT_WBS1;
DROP TABLE HISTORY_WBS1;
DROP TABLE OLD_TMT_CLIENTS;
DROP TABLE OLD_HISTORY_CLIENTS;
DROP TABLE OLD_SUMMARY_TIMESHEETS;
DROP TABLE TMT_CRI_OLD;

DROP TABLE BUDGETS1;
DROP TABLE BUDGETS3;

DROP FUNCTION SP_MIG_CONTINGENCY;
DROP FUNCTION SP_T_COST_CENTER_2_CLIENT;

DROP TABLE PMO_TMP_VTS_0008;

--
-- 3. PMO_TMP_VTS_0007  (Table) 
--
DROP TABLE PMO_TMP_VTS_0007;

--
-- 4. PMO_TMP_FIXDUR  (Table) 
--
DROP TABLE PMO_TMP_FIXDUR;

--
-- 5. LEV_LOCKED_PROJECTS  (Table) 
--
DROP TABLE LEV_LOCKED_PROJECTS;

@utils/recompile

spool off;
exit;
