CONNECT TO DBNAME USER USERNAME USING USERPASSWD;

GRANT BINDADD ON DATABASE TO USER DBUSER;
GRANT CONNECT ON DATABASE TO USER DBUSER;
GRANT CREATE_NOT_FENCED ON DATABASE TO USER DBUSER;
GRANT USE OF TABLESPACE USRTS32K TO USER DBUSER;


GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ACTIVITIES TO USER DBUSER;                   
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ALERTS TO USER DBUSER;                       
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ALERT_MESSAGES TO USER DBUSER;               
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ALERT_MSG_PREDEF_COLUMN TO USER DBUSER;      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ASSET_CROSS_CHARGE TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ASSET_DEPENDENCIES TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ASSET_DEPRECIATION TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ASSET_MAINTENANCE TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ASSET_ORGANIZATIONS TO USER DBUSER;          
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ASSET_REFERENCES TO USER DBUSER;             
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ASSET_RESOURCES TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.ASSET_RTF TO USER DBUSER;                    
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.BUDGETS TO USER DBUSER;                      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.CALENDAR_DAY_OF_YEAR TO USER DBUSER WITH GRANT OPTION;         
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.CALENDAR_EXCEPTIONS TO USER DBUSER;          
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.CHANGE_LOG TO USER DBUSER;                   
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.CLIENT_REFERENCES TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.CLIENT_RTF TO USER DBUSER;                   
 GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.CONTRACT_BREAKDOWN TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.COST_APPROVAL TO USER DBUSER;                
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.COST_APPROVAL_STATUS TO USER DBUSER;         
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.CRIDEPENDENCIES TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.CRI_RTF TO USER DBUSER;                      
 GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.CURRENCY_EXCHANGES TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.DEPENDENCIES TO USER DBUSER;                 
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.DETAIL_TIMESHEETS TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.DOCUMENT_BLOBS TO USER DBUSER;               
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.DOC_RTF TO USER DBUSER;                      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.DUAL TO USER DBUSER;                         
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.EFFORT_WEEK TO USER DBUSER;                  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.FAVORITE_ACTIVITIES TO USER DBUSER;          
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.FISCAL_CALENDAR TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.FS_XML_MONITOR TO USER DBUSER;               
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_ASSETS TO USER DBUSER;               
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_ASSET_DOCUMENTS TO USER DBUSER;      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_ASSET_RTF TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_ASSIGNED_SCORECARDS TO USER DBUSER;  
 GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_CALENDARS TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_CLIENTS TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_CLIENT_DOCUMENTS TO USER DBUSER;     
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_CLIENT_RTF TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_CRI TO USER DBUSER;                  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_CRI_RTF TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_DOCUMENTS TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_DOCUMENT_SCORECARDS TO USER DBUSER;  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_DOC_RTF TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_POOLS TO USER DBUSER;                
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_POOL_DOCUMENTS TO USER DBUSER;       
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_PUBLISHED_SCORECARDS TO USER DBUSER; 
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_RESOURCES TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_RESOURCE_DOCUMENTS TO USER DBUSER;   
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_VENDORS TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_VENDOR_DOCUMENTS TO USER DBUSER;     
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_WBS TO USER DBUSER;                  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.HISTORY_WBS_RTF TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.LEVEL_TASK_DAY_OF_YEAR TO USER DBUSER;       
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PDA_LOOKUP TO USER DBUSER;                   
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PENDING_MONITOR TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PMO_DEFAULTS TO USER DBUSER;                 
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.POOL_REFERENCES TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROC_LOG TO USER DBUSER;                     
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROFILES TO USER DBUSER;                     
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_ALERTS TO USER DBUSER;               
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_ASSIGNMENTS TO USER DBUSER;          
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_BUDGET_BREAKDOWN TO USER DBUSER;     
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_CHARGEBACK TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_CHARGEBACK_BREAKDOWN TO USER DBUSER; 
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_COSTBACK TO USER DBUSER;             
 GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_COST_CENTERS TO USER DBUSER;         
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_DETAILS TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_DISCOUNT TO USER DBUSER;             
 GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_RECONCILIATION TO USER DBUSER;       
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_STATE_DEF TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.PROJECT_STATE_TRG TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RATES TO USER DBUSER;                        
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCES TO USER DBUSER;                    
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCE_ASSIGNMENTS TO USER DBUSER;         
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCE_ASSIGN_ROLES TO USER DBUSER;        
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCE_ASSIGN_SKILLS TO USER DBUSER;       
 GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCE_COST_CENTERS TO USER DBUSER;        
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCE_EDUCATION TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCE_EMPLOYMENT_HISTORY TO USER DBUSER;  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCE_INDUSTRY_EXPERIENCE TO USER DBUSER; 
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCE_PROJECT_HISTORY TO USER DBUSER;     
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RESOURCE_READINESS TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.RM_ASSIGNMENTS TO USER DBUSER;               
 GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.STATE_TASK_NEXT_STATE_CNFG TO USER DBUSER;   
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.SUMMARY_TIMESHEETS TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TASK_ASSIGNMENTS TO USER DBUSER;             
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TASK_DAY_OF_YEAR TO USER DBUSER;             
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TIMEPHASED_DELTA TO USER DBUSER;             
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TIMEPHASED_PROJECT TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TIMESHEET_APPROVAL_STATUS TO USER DBUSER;    
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_ASSETS TO USER DBUSER;                   
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_ASSET_ATTRIBUTES TO USER DBUSER;         
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_ASSET_DOCUMENTS TO USER DBUSER;          
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_ASSIGNED_SCORECARDS TO USER DBUSER;      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_CALENDARS TO USER DBUSER;                
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_CHARGECODES TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_CLIENTS TO USER DBUSER;                  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_CLIENT_ATTRIBUTES TO USER DBUSER;        
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_CLIENT_DOCUMENTS TO USER DBUSER;         
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_COMPETENCIES TO USER DBUSER;             
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_CONTACTS TO USER DBUSER;                 
 GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_CONTRACTS TO USER DBUSER;                
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_COSTS TO USER DBUSER;                    
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_COST_CENTERS TO USER DBUSER;             
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_CRI TO USER DBUSER;                      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_CRI_ATTRIBUTES TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_DATAFIELDS TO USER DBUSER;               
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_DOCUMENTS TO USER DBUSER;                
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_DOCUMENT_ATTRIBUTES TO USER DBUSER;      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_DOMAINS TO USER DBUSER;                  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_FACTORS TO USER DBUSER;                  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_GEOGRAPHIES TO USER DBUSER;              
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_GLOBAL_SECURITY TO USER DBUSER;          
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_NAB TO USER DBUSER;                      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_ORGANIZATIONS TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_POOLS TO USER DBUSER;                    
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_POOL_ATTRIBUTES TO USER DBUSER;          
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_POOL_DOCUMENTS TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_PORTFOLIOS TO USER DBUSER;               
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_PUBLISHED_SCORECARDS TO USER DBUSER;     
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_REPORT_SECURITY TO USER DBUSER;          
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_RESOURCE_DOCUMENTS TO USER DBUSER;       
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_SCENARIOS TO USER DBUSER;                
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_SCORECARDS_DEF_AST TO USER DBUSER;       
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_SCORECARDS_DEF_CRI TO USER DBUSER;       
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_SCORECARDS_DEF_RES TO USER DBUSER;       
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_SCORECARDS_DEF_WBS TO USER DBUSER;       
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_SETTINGS TO USER DBUSER;                 
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_TIMECODES TO USER DBUSER;                
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_VENDORS TO USER DBUSER;                  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_VENDOR_ATTRIBUTES TO USER DBUSER;        
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_VENDOR_DOCUMENTS TO USER DBUSER;         
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_WBS TO USER DBUSER;                      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_WBS_ATTRIBUTES TO USER DBUSER;           
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_WORKFLOWS TO USER DBUSER;                
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TMT_WORKFLOW_CYCLES TO USER DBUSER;          
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.TRACE_PROCS TO USER DBUSER;                  
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.USER_SESSIONS TO USER DBUSER;                
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.VENDOR_REFERENCES TO USER DBUSER;            
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.WBS_RTF TO USER DBUSER;                      
GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE TABSCHEMA.WORKFLOW_REPLIES TO USER DBUSER;             
 
CONNECT RESET;