-- **************************************************************************
-- PURPOSE:Migrate from 6.0 to 6.1
-- **************************************************************************

connect owner/ownerpass
set echo on
SET AUTOCOMMIT ON
spool logs/step3.log

ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD';

ALTER SESSION SET NLS_TIMESTAMP_FORMAT ='YYYY-MM-DD HH24:MI:SS.FF6';
COMMIT WORK;

ALTER TABLE TMT_CHARGECODES MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE TASK_ASSIGNMENTS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE BUDGETS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE TMT_WBS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE HISTORY_WBS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE TMT_CLIENTS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE HISTORY_CLIENTS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE RESOURCE_COST_CENTERS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE SUMMARY_TIMESHEETS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE PROJECT_COST_CENTERS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE PROJECT_RECONCILIATION MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE STATE_TASK_NEXT_STATE_CNFG MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE HISTORY_CALENDARS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE CURRENCY_EXCHANGES MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE TMT_CRI MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE TMT_CONTRACTS MOVE TABLESPACE PMO_DATA_64K;
ALTER TABLE CONTRACT_BREAKDOWN MOVE TABLESPACE PMO_DATA_64K;



ALTER INDEX TCHCD_ENID_XU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCHCD_RK_CU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCHCD_ACCC_CU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCHAODE_NID_XX REBUILD TABLESPACE PMO_IDX_64K;



ALTER INDEX TKASG_GID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TKASG_OID_BF_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TKASG_PJRID_CX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TKASG_PJTRID_BF_CX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TKASG_RID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TKASG_TAID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TKASG_TRID_RT_XX REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX TWBSX_EID_XU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TWBSX_FC_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TWBSX_NID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TWBSX_PJID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TWBSX_RK_CU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TWBSX_TPID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TWBSX_LV_XXXX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX WBS_POOLID REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TWBSX_STG_XX REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX HSWBS_EID_RDT_CX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX HSWBS_HID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX HSWBS_RK_XX REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX TCLIENT_ENID_XU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCLIENT_RK_CU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCLI_NID_XX REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX HSCLX_EID_RDT_CX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX HSCLX_HID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX HSCLX_RK_XX REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX TPOOL_EXTREF_XX REBUILD TABLESPACE PMO_IDX_64K;
ALTER INDEX POOL_USRGROUP_XXX REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX RCC_RID_CCID_DT REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX SMRTS_RPJID_CX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX SMRTS_TAID_WF_XU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX SMRTS_WF_RDT_XX REBUILD TABLESPACE PMO_IDX_64K;



ALTER INDEX PCC_RID_CCID_DT REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX PRC_PID_FID_DT REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX PRCSX_EID_XU REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX DEF_STATE_XU REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX NEXT_STATE_CNFG_XU REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX H_ENID REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX CURRENCY_EXC_CID REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX TCRIX_ENID_XU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCRIX_NVID_RK_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCRIX_PJNWBID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCRIX_PRK_RK_CX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCRIX_TPID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCRIX_RK_XU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX CRI_CLIENT_XXX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX CRI_DUP_XXX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX CRI_SCR_XXX REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX ACTVT_EID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX ACTVT_TAID_CX REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX DTTSH_AID_WF_XU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX DTTSH_AID_CW_XY REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX TCONTR_ENID_XU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCONTR_RK_CU REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX TCONTR_BDENID_XU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX TCONTR_BDID_XU REBUILD TABLESPACE PMO_IDX_64K;


ALTER INDEX BDGTS_EBCID_CU REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX BDGTS_BID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX BDGTS_CID_XX REBUILD TABLESPACE PMO_IDX_64K;

ALTER INDEX BUDGET_CHRGEID_XXX REBUILD TABLESPACE PMO_IDX_64K;



spool off;
exit;
